<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Book manager - Listing products</title>

	<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="../static/css/main.css" th:href="@{/css/main.css}" />

</head>
<body class="list">

	<header>
		<a href="/articles" class="bckBook">⬅️ Back to list</a>
		<a href="/articles/add" class="addBook">➕ Add a book</a>
		<div id="search">
			<form action="/articles/search" method="get">
				<fieldset>
					<ul class="list-unstyled list-inline">
						<li><input type="text" name="query" id="query"></li>
						<li><input type="submit" value="🔍"></li>
					</ul>
				</fieldset>
			</form>
		</div>
	</header>

	<div id="container">
		
		<div class="listBooks">
			<ul class="list-unstyled list-inline">

				<li th:each="book:${books}">
					<article>
						<figure>
							<img th:src="${'/img/'+book.cover}" alt="${name}" title="${name}">
							<figcaption>
								<div class="wrapper">
									<h2 th:text="${book.name}">Book name</h2>
									<h3>€ <span th:text="${book.price}"></span></h3>
									<a th:href="${'/articles/article/'+book.name}" class="getBook"></a>
								</div>
							</figcaption>
						</figure>
						<a th:href="${'/articles/delete/'+book.id}" class="delBook">❌</a>
					</article>
				</li>

			</ul>
		</div>

	</div>

	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>

</body>
</html>